diff --git a/Mkvcbuild.pm.bak b/Mkvcbuild.pm
index ef0a33c..0284835 100755
--- a/Mkvcbuild.pm.bak
+++ b/Mkvcbuild.pm
@@ -94,7 +94,7 @@ sub mkvcbuild
 	die 'Must run from root or msvc directory'
 	  unless (-d 'src/tools/msvc' && -d 'src');
 
-	my $vsVersion = DetermineVisualStudioVersion();
+	my $vsVersion = "17.00";
 
 	$solution = CreateSolution($vsVersion, $config);
 
@@ -198,6 +198,7 @@ sub mkvcbuild
 		'jsonpath_gram.y');
 	$postgres->AddDefine('BUILDING_DLL');
 	$postgres->AddLibrary('secur32.lib');
+    $postgres->AddLibrary('crypt32.lib');
 	$postgres->AddLibrary('ws2_32.lib');
 	$postgres->AddLibrary('wldap32.lib') if ($solution->{options}->{ldap});
 	$postgres->FullExportDLL('postgres.lib');
@@ -260,6 +261,7 @@ sub mkvcbuild
 	$libpq->AddDefine('UNSAFE_STAT_OK');
 	$libpq->AddIncludeDir('src/port');
 	$libpq->AddLibrary('secur32.lib');
+    $libpq->AddLibrary('crypt32.lib');
 	$libpq->AddLibrary('ws2_32.lib');
 	$libpq->AddLibrary('wldap32.lib') if ($solution->{options}->{ldap});
 	$libpq->UseDef('src/interfaces/libpq/libpqdll.def');
